<div class="grid">
	<header class="row clearfix">
		<div class="col-2-3">
			<h1>Bolagsinformation</h1>
		</div>
		<button class="col-1-3 new" ng-click="company.editing = true" ng-hide="company.editing">
			<span class="edit"><i class="fa fa-pencil-square-o"></i>Ändra kontaktuppgifter</span></button>
	</header>
	<div svab-feedback-target="company.hb.get"></div>


	<div class="row clearfix listing">
		<section ng-hide="company.editing">
			<div class="col-1-2">
				<ul class="regular-list">
					<li>
						<strong class="list-title">{{company.firma}} - {{company.orgNr}}</strong>
					</li>

					<li><strong class="list-title">Adress:</strong>
						<span class="list-value" ng-hide="!company.address.cOAddress"> C/o:{{company.address.cOAddress}}, </span>
						<span class="list-value" ng-hide="!company.address.streetAddress">{{company.address.streetAddress}}, </span>
						<span class="list-value">{{company.address.zipCode}} {{company.address.city}}</span>
						<span class="list-value" ng-hide="!company.address.country">, {{company.address.country}}</span>
					</li>

					<li><strong class="list-title">Kontaktperson:</strong>
						<span class="list-value">{{company.contactFirstName}} {{company.contactLastName}}</span>
					</li>

					<li><strong class="list-title">Telefonnummer:</strong>
						<span class="list-value">{{company.contactDetails.phoneNumber}}</span>
					</li>
					<li><strong class="list-title">Email:</strong>
						<span class="list-value"><a href="mailto:{{company.contactDetails.email}}">{{company.contactDetails.email}}</a></span>
					</li>
				</ul>
			</div>
		</section>
		<section ng-show="company.editing">
			<div class="col-5-6">
				<form name="companyForm" novalidate>
					<div svab-feedback-target="company.update"></div>
					<fieldset>
						<legend>Kontaktuppgifter</legend>
						<div class="col-1">
							<p><label>Förnamn</label><input name="basicInfoFirstName"
							                                type="text"
							                                ng-model="company.contactFirstName"
							                                placeholder="Förnamn"
							                                required/></p>

							<div ng-messages="companyForm.basicInfoFirstName.$error" ng-show="companyForm.basicInfoFirstName.$touched">
								<p class="form-feedback error" ng-message="required">Förnamn är obligatoriskt</p>
							</div>
						</div>
						<div class="col-1">
							<p><label>Efternamn</label><input name="basicInfoLastName"
							                                  type="text"
							                                  ng-model="company.contactLastName"
							                                  placeholder="Efternamn"
							                                  required/></p>

							<div ng-messages="companyForm.basicInfoLastName.$error" ng-show="companyForm.basicInfoLastName.$touched">
								<p class="form-feedback error" ng-message="required">Efternamn är obligatoriskt</p>
							</div>
						</div>
						<div class="col-1">
							<p><label>Telefonnummer</label><input name="contactDetailsPhoneNumber"
							                                      type="text"
							                                      ng-model="company.contactDetails.phoneNumber"
							                                      placeholder="Telefonnummer"
							                                      required/></p>

							<div ng-messages="companyForm.contactDetailsPhoneNumber.$error" ng-show="companyForm.contactDetailsPhoneNumber.$touched">
								<p class="form-feedback error" ng-message="required">Telefonnummer är obligatoriskt</p>
							</div>
						</div>
						<div class="col-1">
							<p><label>Email</label><input name="contactDetailsEmail"
							                                     type="email"
							                                     ng-model="company.contactDetails.email"
							                                     placeholder="Email"
							                                     required/></p>

							<div ng-messages="companyForm.contactDetailsEmail.$error" ng-show="companyForm.contactDetailsEmail.$touched">
								<p class="form-feedback error" ng-message="required">Email är obligatoriskt</p>
							</div>
						</div>
					</fieldset>

					<p class="col-1-2">
						<button type="button" ng-click="undoEdit(company)">Ångra</button>
					</p>
					<p class="col-1-2">
						<button class="update" type="submit" ng-click="save(company)">Spara</button>
					</p>
				</form>
			</div>
		</section>
	</div>
</div>
